io.undertow.security.impl

## Enum AuthenticationInfoToken

- java.lang.Object
- - java.lang.Enum<AuthenticationInfoToken>
  - - io.undertow.security.impl.AuthenticationInfoToken

All Implemented Interfaces:
  HeaderToken, Serializable, Comparable<AuthenticationInfoToken>

    public enum AuthenticationInfoToken
    extends Enum<AuthenticationInfoToken>
    implements HeaderToken

Enumeration of tokens expected in a HTTP Digest 'Authentication-Info' header.

Author:
  Darran Lofthouse

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CNONCE`
`MESSAGE_QOP`
`NEXT_NONCE`
`NONCE_COUNT`
`RESPONSE_AUTH`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getName()`
`boolean` `isAllowQuoted()`
`static Map<AuthenticationInfoToken,String>` `parseHeader(String header)`
`static AuthenticationInfoToken` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AuthenticationInfoToken[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NEXT_NONCE

    public static final AuthenticationInfoToken NEXT_NONCE

#### MESSAGE_QOP

    public static final AuthenticationInfoToken MESSAGE_QOP

#### RESPONSE_AUTH

    public static final AuthenticationInfoToken RESPONSE_AUTH

#### CNONCE

    public static final AuthenticationInfoToken CNONCE

#### NONCE_COUNT

    public static final AuthenticationInfoToken NONCE_COUNT

### Method Detail

#### values

    public static AuthenticationInfoToken[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AuthenticationInfoToken c : AuthenticationInfoToken.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AuthenticationInfoToken valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getName

    public String getName()

Specified by:
  `getName` in interface `HeaderToken`
Returns:
  The name of the token as seen within the HTTP header.

#### isAllowQuoted

    public boolean isAllowQuoted()

Specified by:
  `isAllowQuoted` in interface `HeaderToken`
Returns:
  true if this header could be a quoted header.

#### parseHeader

    public static Map<AuthenticationInfoToken,String> parseHeader(String header)